Loading...
Searching...
No Matches
primesieve_iterator Struct Reference

C prime iterator, please refer to iterator.h for more information. More...

`#include <iterator.h>`

## Public Attributes

size_t | i
| Current index of the primes array.
size_t | size
| Current number of primes in the primes array.
uint64_t | start
| Generate primes >= start.
uint64_t | stop_hint
| Generate primes <= stop_hint.
uint64_t * | primes
| The primes array.
void * | memory
| Pointer to internal IteratorData data structure.
int | is_error
| Initialized to 0, set to 1 if any error occurs.

## Detailed Description

C prime iterator, please refer to iterator.h for more information.

Examples
  prev_prime.c, and primesieve_iterator.c.

## Member Data Documentation

## primes

uint64_t* primesieve_iterator::primes

The primes array.

The current smallest prime can be accessed using primes[0]. The current largest prime can be accessed using primes[size-1].

The documentation for this struct was generated from the following file:

- iterator.h